* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}
body {
  font-family: "Nunito Sans", Helvetica, sans-serif;
  font-weight: 300;
  line-height: 1;
  color: #ffffff;
  text-align: center;
  overflow-x: hidden;
  position: relative;
  perspective: 60rem;
  margin: 0 auto;
}

ul {
  padding: 0 2rem;
}

footer {
  display: block;
  color: #ffffff;
  line-height: 1.2;
  font-size: 1.2rem;
  height: 5rem;
}
form {
  margin: 0 auto 5rem;
  background-color: #000000;
  border: solid 1px#bbbbbb;
  border-radius: 1rem;
  -webkit-border-radius: 1rem;
  box-shadow: 0 8px 8px 1px rgba(0, 0, 0, 0.3);
}
label {
  color: #ffffff;
  font-size: 1.6rem;
}
p {
  margin-bottom: 0;
}
/* Faders */
.fade-to-black {
  background: linear-gradient(#000000, #000000);
}
.from-left {
  transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
  -o-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  -moz-transform: translateX(-50%);
}

.from-right {
  transform: translateX(50%);
  -o-transform: translateX(50%);
  -ms-transform: translateX(50%);
  -moz-transform: translateX(50%);
  -webkit-transform: translateX(50%);
}
.from-bottom {
  transform: translateY(50%);
  -o-transform: translateY(50%);
  -ms-transform: translateY(50%);
  -moz-transform: translateY(50%);
  -webkit-transform: translateY(50%);
}
.from-top {
  transform: translateY(-50%);
  -o-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
}

.from-left,
.from-right,
.from-bottom,
.from-top {
  transition: opacity 200ms ease-in, transform 0.6s ease-in;
  -webkit-transition: opacity 200ms ease-in, transform 0.6s ease-in;
  opacity: 0;
}

.from-left.appear,
.from-right.appear,
.from-bottom.appear,
.from-top.appear {
  transform: translateX(0);
  -o-transform: translateY(0);
  -ms-transform: translateY(0);
  -moz-transform: translateY(0);
  -webkit-transform: translateY(0);
  opacity: 1;
}
.fadeIn {
  -webkit-animation: fadeIn 1.2s both;
  -moz-animation: fadeIn 1.2s both;
  -o-animation: fadeIn 1.2s both;
  animation: fadeIn 1.2s both;
}
@-webkit-keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@-moz-keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@-o-keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/* Hero Section */

.hero {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff9db;
  height: 90vh;
  width: 100vw;

  box-shadow: 0 8px 10px 1px rgba(0, 0, 0, 0.2);
  background-position: 50% 75%;

  background-image: url("../imgs/Cover.webp");
  -webkit-animation: BackgroundAnimated 450s linear infinite;
  -moz-animation: BackgroundAnimated 450s linear infinite;
  -ms-animation: BackgroundAnimated 450s linear infinite;
  -o-animation: BackgroundAnimated 450s linear infinite;
  animation: BackgroundAnimated 450s linear infinite;
  margin-bottom: 100px;
}

@keyframes BackgroundAnimated {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 100% 0;
  }
}
@-webkit-keyframes BackgroundAnimated {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 100% 0;
  }
}
@-ms-keyframes BackgroundAnimated {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 100% 0;
  }
}
@-moz-keyframes BackgroundAnimated {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 100% 0;
  }
}
.nav-width {
  margin: 0 auto;
  max-width: 120rem;
}
.header {
  margin: 0 auto;
}

.message {
  padding: 1rem 2rem;
  width: fit-content;
  max-width: 60%;
  position: relative;
  font-size: 3rem;
  text-align: left;
  line-height: 1.2;
  box-shadow: 0 8px 10px 1px rgba(0, 0, 0, 0.2);
}
.incoming.message {
  background-color: #7f898a;
  margin-right: auto;
  -webkit-border-radius: 1rem 1rem 1rem 0;
  -moz-border-radius: 1rem 1rem 1rem 0;
  -o-border-radius: 1rem 1rem 1rem 0;
  -ms-border-radius: 1rem 1rem 1rem 0;
  border-radius: 1rem 1rem 1rem 0;
}
.incoming:before {
  border-bottom: 10px solid #7f898a;
  border-left: 9px solid rgba(0, 0, 0, 0);
  position: absolute;
  bottom: 0;
  left: -8px;
  content: "";
}
.outgoing.message {
  background-color: #2196f3;
  margin-left: auto;
  margin-right: 1.5rem;
  -webkit-border-radius: 8px 8px 0px 8px;
  -moz-border-radius: 8px 8px 0px 8px;
  -o-border-radius: 8px 8px 0px 8px;
  -ms-border-radius: 8px 8px 0px 8px;
  border-radius: 8px 8px 0px 8px;
}
.outgoing:before {
  border-bottom: 9px solid #2196f3;
  border-right: 9px solid rgba(0, 0, 0, 0);
  position: absolute;
  bottom: 0;
  right: -8px;
  content: "";
}
.h1-container {
  display: flex;
  display: -webkit-flex;
  display: -o-flex;
  display: -ms-flex;
  display: -moz-flex;
  align-items: center;
  justify-content: center;
  -ms-flex-direction: column;
  flex-direction: column;
}
.heading-primary {
  font-family: "Noto Serif Display";
  font-size: 20rem;
  font-weight: 700;
  text-align: center;
  padding-bottom: 2rem;
}
.heading-secondary {
  padding: 2rem;
  font-size: 3rem;
  font-weight: 300;
  text-align: left;
}
.h1-subtext {
  font-weight: 400;
  font-size: 2.4rem;
  text-align: center;
}

.nav-logo {
  border-radius: 15%;
  margin-left: 2.5rem;
  height: 7.4rem;
  width: 7.4rem;
}

.nav-item {
  display: flex;
  display: -webkit-flex;
  display: -o-flex;
  display: -ms-flex;
  display: -moz-flex;
  align-items: center;
}

.nav-scrolly {
  margin-left: 2rem;
  color: #fff9db;
  cursor: pointer;
  font-size: 2.4rem;
  z-index: 9999;
  transition: all 250ms;
  -webkit-transition: all 250ms;
}

.nav-scrolly:hover {
  transform: translateY(-2px);
  text-decoration: underline;
}

.nav-scrolly.nav-cta:visited,
.nav-scrolly.nav-cta:link {
  padding: 1.2rem 2.4rem;
  border-radius: 9px;
  color: #003253 !important;
  background-color: #ffc930;
}
.nav-scrolly.nav-cta:hover {
  background-color: #ffce48;
}

.nav-scrolly.nav-cta:active {
  background-color: #c99f2d;
  transform: translateY(1px);
}
.nav-scrolly-port {
  color: #ffffff;
  cursor: pointer;
  padding: 0;
  text-decoration: underline;
  font-size: 3.2rem;
  transition: transform 250ms;
  -webkit-transition: transform 250ms;
}
.nav-scrolly-port:active {
  color: #fff9db;
  text-decoration: underline;
}
.nav-scrolly-port:hover {
  transform: translateY(-2px);
  color: #fff9db;
}

/* About Me Section */

.about-me {
  display: flex;
  display: -webkit-flex;
  display: -o-flex;
  display: -ms-flex;
  display: -moz-flex;
  flex-direction: column;
  max-width: 120rem;
  margin: 0 auto;
  row-gap: 5rem;
}

.img-area {
  position: sticky;
  top: 1rem;
  display: flex;
  display: -webkit-flex;
  display: -o-flex;
  display: -ms-flex;
  display: -moz-flex;
  justify-content: center;
  align-items: center;
  height: 50vh;
}

.life-img {
  width: 40rem;
  padding: 2rem;
  padding: 0.5rem;
  background-color: #ffffff;
  border: #ffffff 0.2rem solid;
  box-shadow: 2px 8 20px rgba(0, 0, 0, 0.4);
}

.img-area:nth-child(1) {
  transform: rotate(-10deg);
  -webkit-transform: rotate(-10deg);
  -o-transform: rotate(-10deg);
  -moz-transform: rotate(-10deg);
  -ms-transform: rotate(-10deg);
}
.img-area:nth-child(2) {
  transform: rotate(5deg);
  -webkit-transform: rotate(5deg);
  -o-transform: rotate(5deg);
  -ms-transform: rotate(5deg);
  -moz-transform: rotate(5deg);
}

.img-area:nth-child(3) {
  transform: rotate(-10deg);
  -webkit-transform: rotate(-10deg);
  -o-transform: rotate(-10deg);
  -ms-transform: rotate(-10deg);
  -moz-transform: rotate(-10deg);
}
.dog,
.cat {
  width: 30rem;
}
.cat-tilt {
  transform: rotate(-5deg);
  -webkit-transform: rotate(-5deg);
  -o-transform: rotate(-5deg);
  -ms-transform: rotate(-5deg);
  -moz-transform: rotate(-5deg);
}
.animal-message {
  display: flex;
  display: -webkit-flex;
  display: -o-flex;
  display: -ms-flex;
  display: -moz-flex;
  column-gap: 2rem;
}
/* Portfolio Section */

.portfolio-frame {
  width: 95%;
  height: 300px;
  -webkit-border-radius: 1rem;
  border-radius: 1rem;
  box-shadow: 0 8px 8px 1px rgba(0, 0, 0, 0.3);
}

/* Sign Up */
.form-group {
  padding-bottom: 4rem;
}

.bd-placeholder-img {
  font-size: 1.125rem;
  text-anchor: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.avatar {
  border-radius: 50%;
}
.logo {
  border-radius: 8px;
  box-shadow: 0 8px 8px rgba(0, 0, 0, 0.3);
}

.form-signin {
  padding: 1.5rem;
  margin: auto;
}

.form-signin .form-control {
  position: relative;
  box-sizing: border-box;
  height: auto;
  padding: 1rem;
  font-size: 1.8rem;
}
.form-signin .form-control:focus {
  z-index: 2;
}
.top {
  margin-bottom: -1px;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
.middle {
  border-radius: 0;
  margin-bottom: -1px;
}

.bottom {
  margin-bottom: 1rem;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.cta-btn {
  color: #102753;
  cursor: pointer;
  font-size: 2.2rem;
  z-index: 9999;
  border: solid 1px #c99f2d;
  transition: all 150ms;
  -webkit-transition: all 150ms;
  background-color: #ffc930;
}
.cta-btn:visited,
.cta-btn:link {
  border-radius: 9px;
  background-color: #ffc930;
}
.cta-btn:hover {
  background-color: #fad367;
}

.cta-btn:active {
  background-color: #c99f2d;
  transform: translateY(1px);
}

.freepik {
  color: #ffffff;
}
/* /////////////////////////////////////
Media Quieres */
/* Extra small devices */
@media only screen and (max-width: 449px) {
  .heading-primary {
    font-size: 6rem;
  }

  .nav-scrolly {
    font-size: 1.8rem;
  }

  .h1-subtext {
    font-size: 2rem;
  }

  .message {
    font-size: 1.4rem;
  }

  .nav-scrolly-port {
    font-size: 1.4rem;
  }

  .life-img {
    width: 32rem;
  }

  .dog,
  .cat {
    width: 26rem;
  }

  .animal-message {
    column-gap: 0;
  }

  .hero {
    height: 60vh;
  }
  @keyframes BackgroundAnimated {
    from {
      background-position: 50% 0;
    }
    to {
      background-position: 100% 0;
    }
  }
  @-webkit-keyframes BackgroundAnimated {
    from {
      background-position: 50% 0;
    }
    to {
      background-position: 100% 0;
    }
  }
  @-ms-keyframes BackgroundAnimated {
    from {
      background-position: 50% 0;
    }
    to {
      background-position: 100% 0;
    }
  }
  @-moz-keyframes BackgroundAnimated {
    from {
      background-position: 50% 0;
    }
    to {
      background-position: 100% 0;
    }
  }
}

@media only screen and (min-width: 450px) and (max-width: 599px) {
  .heading-primary {
    font-size: 7.4rem;
  }

  .nav-scrolly {
    font-size: 2rem;
  }

  .h1-subtext {
    font-size: 2.1rem;
  }

  .message {
    font-size: 1.8rem;
  }

  .nav-scrolly-port {
    font-size: 1.8rem;
  }

  .life-img {
    width: 32rem;
  }

  .dog,
  .cat {
    width: 28rem;
  }

  .animal-message {
    column-gap: 0;
  }

  .hero {
    height: 65vh;
  }
  @keyframes BackgroundAnimated {
    from {
      background-position: 25% 0;
    }
    to {
      background-position: 100% 0;
    }
  }
  @-webkit-keyframes BackgroundAnimated {
    from {
      background-position: 25% 0;
    }
    to {
      background-position: 100% 0;
    }
  }
  @-ms-keyframes BackgroundAnimated {
    from {
      background-position: 25% 0;
    }
    to {
      background-position: 100% 0;
    }
  }
  @-moz-keyframes BackgroundAnimated {
    from {
      background-position: 25% 0;
    }
    to {
      background-position: 100% 0;
    }
  }
}

/* Small devices */
@media only screen and (min-width: 600px) and (max-width: 767px) {
  .heading-primary {
    font-size: 9.8rem;
  }

  .nav-scrolly {
    font-size: 2.2rem;
  }

  .h1-subtext {
    font-size: 2.2rem;
  }

  .message {
    font-size: 2rem;
  }

  .life-img {
    width: 32rem;
  }

  .dog,
  .cat {
    width: 28rem;
  }

  .animal-message {
    column-gap: 0;
  }

  .nav-scrolly-port {
    font-size: 2rem;
  }

  .hero {
    height: 70vh;
  }
  @keyframes BackgroundAnimated {
    from {
      background-position: 25% 0;
    }
    to {
      background-position: 100% 0;
    }
  }
  @-webkit-keyframes BackgroundAnimated {
    from {
      background-position: 25% 0;
    }
    to {
      background-position: 100% 0;
    }
  }
  @-ms-keyframes BackgroundAnimated {
    from {
      background-position: 25% 0;
    }
    to {
      background-position: 100% 0;
    }
  }
  @-moz-keyframes BackgroundAnimated {
    from {
      background-position: 25% 0;
    }
    to {
      background-position: 100% 0;
    }
  }
}

/* Medium devices*/
@media only screen and (min-width: 768px) and (max-width: 991px) {
  .heading-primary {
    font-size: 12rem;
  }

  .h1-subtext {
    font-size: 2.225rem;
  }

  .nav-scrolly {
    font-size: 2.2rem;
  }

  .message {
    font-size: 2.6rem;
  }

  .life-img {
    width: 32rem;
  }

  .dog,
  .cat {
    width: 28rem;
  }

  .bd-placeholder-img-lg {
    font-size: 3.5rem;
  }

  .nav-scrolly-port {
    font-size: 2.6rem;
  }
}

/* Large devices*/
@media only screen and (min-width: 992px) and (max-width: 1200px) {
  .heading-primary {
    font-size: 15rem;
  }
}

/* Extra large devices*/
@media only screen and (min-width: 1200px) {
}
